<?php
/**
 * The template for displaying all pages
 */

get_header();

/**
 * Page Control
 */
if( function_exists('acf_add_options_page') ) {
	$hide_banner 		= get_field( 'enable_page_banner' );
	$hide_breadcrumb 	= get_field( 'hide_breadcrumb' );
	$banner_title		= get_field( 'page_banner_title' );
}else {
	$hide_banner 		= false;
	$hide_breadcrumb 	= false;
	$banner_title 		= '';
}
// After Hiding Banner add spacing
if( $hide_banner == true){
    $page_spac = 'mt-80';
} else {
    $page_spac = '';
}

// page banner shape image
if( isset( $cyarb_opt['cyarb_banner_image_shape'] ) ):	
	$banner_shape = $cyarb_opt['cyarb_banner_image_shape'];
else:
	$banner_shape = '';
endif;
?>

<?php if( $hide_banner == false ) { ?>
	<div class="page-title-area" style="background-image:url(<?php echo esc_url( get_the_post_thumbnail_url() ); ?>);">
		<div class="container">
			<div class="page-title-content">
				<?php if ( $banner_title ): ?>
					<h1><?php echo esc_html($banner_title); ?></h1>
				<?php else: ?>
					<h1><?php the_title(); ?></h1>
				<?php endif;?>
				<?php if( $hide_breadcrumb == false ) : ?>
					<ul>
						<li>
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
								<?php esc_html_e('Home', 'cyarb')?>
							</a>
						</li>
						<li><?php the_title(); ?></li>
					</ul><?php
				endif; ?>
			</div>
		</div>
		<?php if( $banner_shape == 1 ) : ?>
			<div class="shape1"><img src="<?php echo esc_url(get_template_directory_uri() .'/assets/img/shape/shape1.png' ); ?>" alt="<?php the_title_attribute(); ?>"></div>
			<div class="shape2"><img src="<?php echo esc_url(get_template_directory_uri() .'/assets/img/shape/shape2.png' ); ?>" alt="<?php the_title_attribute(); ?>"></div>
			<div class="shape4"><img src="<?php echo esc_url(get_template_directory_uri() .'/assets/img/shape/shape4.png' ); ?>" alt="<?php the_title_attribute(); ?>"></div>
			<div class="shape5"><img src="<?php echo esc_url(get_template_directory_uri() .'/assets/img/shape/shape5.png' ); ?>" alt="<?php the_title_attribute(); ?>"></div>
		<?php endif; ?>
	</div>
<?php } ?>

<?php
//Normal Page Editor
if (!cyarb_is_elementor()) { ?>
	<div class="page-main-content">
<?php
} ?>
	<!-- Start About Area -->
	<div class="page-area bg-black <?php echo esc_attr($page_spac); ?>">
		<?php if (!cyarb_is_elementor()) { ?>
			<div class="container">
		<?php } ?>
				<?php
				while ( have_posts() ) :
					the_post();

					//No Content
					$thecontent = get_the_content();
					if(empty($thecontent)){  ?><div class="cyarb-single-blank-page"> </div><?php }

					get_template_part( 'template-parts/content', 'page' );

					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;

				endwhile; // End of the loop.
				?>
		<?php if (!cyarb_is_elementor()) { ?>
			</div>
		<?php } ?>
	</div>
<?php
//Normal Page Editor
if (!cyarb_is_elementor()) { ?>
</div> 
<?php } 

get_footer();